PHYSFS_Stat(3)

NAME
PHYSFS_Stat - Meta data for a file or directory.

SYNOPSIS

#include <physfs.h>

  Data Fields
PHYSFS_sint64 filesize
PHYSFS_sint64 modtime
PHYSFS_sint64 createtime
PHYSFS_sint64 accesstime
PHYSFS_FileType filetype
int readonly

Detailed Description

Meta data for a file or directory. Container for various meta data about a file in the virtual file system. PHYSFS_stat() uses this structure for returning the information. The time data will be either the number of seconds since the Unix epoch (midnight, Jan 1, 1970), or -1 if the information isn't available or applicable. The (filesize) field is measured in bytes. The (readonly) field tells you whether the archive thinks a file is not writable, but tends to be only an estimate (for example, your write dir might overlap with a .zip file, meaning you can successfully open that path for writing, as it gets created elsewhere.

See also:
    PHYSFS_stat

    PHYSFS_FileType

Field Documentation

  PHYSFS_sint64 PHYSFS_Stat::accesstime
like modtime, but for file access time

  PHYSFS_sint64 PHYSFS_Stat::createtime
like modtime, but for file creation time

  PHYSFS_sint64 PHYSFS_Stat::filesize
size in bytes, -1 for non-files and unknown

  PHYSFS_FileType PHYSFS_Stat::filetype
File? Directory? Symlink?

  PHYSFS_sint64 PHYSFS_Stat::modtime
last modification time

  int PHYSFS_Stat::readonly
non-zero if read only, zero if writable.

Author

Generated automatically by Doxygen for physfs from the source code.